/*
  Devil-Elec
  IDE 1.8.19
  avr-gcc 11.2.0
  03.02.2022
  Test if everything compiles and shows an overview of the activated methods.
*/

#include <AVRxDB_Pin.h>

InputPin        <pinPA2> input;
InterruptPin    <pinPA3> interrupt;
TasterGND       <pinPB5> taster;
OutputPin       <pinPB6> output;
OutputPinInvert <pinPB7> outputInvert;
AnalogInPin     <pinPD7> analog;

void setup (void)
{    
  input.init();
  input.enablePullup();
  input.disablePullup();
  input.isOn();
  input.enableInvertIO();
  input.disableInvertIO();
  
  interrupt.init();
  interrupt.enablePullup();   
  interrupt.disablePullup(); 
  interrupt.isActiv();       
  interrupt.senseBothEdges(); 
  interrupt.senseRising();     
  interrupt.senseFalling();   
  interrupt.senseLow();        
  interrupt.senseDisable();   
  interrupt.isOn();           
  interrupt.detectRising();     
  interrupt.detectReset(); 

  taster.init();
  taster.enablePullup();
  taster.pressed();
  taster.released();
  
  output.init();
  output.setOn();
  output.setOff();
  output.toggle();
  output.isOn();
  output.enableSlewRate();
  output.disableSlewRate();
  output.enableInvertIO();
  output.disableInvertIO();
  
  outputInvert.init();
  // how output with active 'enableInvertIO' in init()
  
  analog.init();
  // disables everything, pin is pure input
}

void loop (void)
{
  
}